id: telegram-phish

info:
  name: telegram phishing Detection
  author: rxerium
  severity: info
  description: |
    A telegram phishing website was detected
  reference:
    - https://telegram.org
  metadata:
    max-request: 1
  tags: phishing,telegram,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Telegram is a cloud-based mobile and desktop messaging app with a focus on security and speed.'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"telegram.org")'
# digest: 4a0a0047304502200b49ae51337e83173907381c1f61f328f0f609ef6b37d282d97767c301e102d9022100a0ab8f45f02778b71e9b4fe10e1694a0f649ed6a599db20d97d34f47e08ab982:922c64590222798bb761d5b6d8e72950